PatientWorks Applications PA-DSS Validated on Latest PCI Standards

PatientWorks Version 4.5 has been validated under the Payment Card Industry (PCI) Payment Application Data Security Standards (PA-DSS) Version 3.2.  This validation assures that our customers have the appropriate credit card security standards included in the latest version of PatientWorks software to assist in their PCI Compliance.  The PatientWorks payment application is listed on the PCI Council's website as an approved payment application: